<?php

declare(strict_types = 1);

/**
 * Copyright (C) 2023 PRONOVIX GROUP.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
 * USA.
 */

namespace Drupal\key_apigee\Plugin\KeyInput;

/**
 * Apigee X/Hybrid on GCE hosted site authentication key input.
 *
 * @KeyInput(
 *    id = "apigee_x_on_gce_hosted_site",
 *    label = @Translation("Apigee X/Hybrid on Google Clould Engine hosted site")
 *  )
 *
 * @internal This class is not part of the module's public programming API.
 */
final class ApigeeXOnGceHostedSiteAuthKeyInput extends ApigeeKeyInputBase {

  /**
   * {@inheritdoc}
   */
  public function defaultConfiguration(): array {
    $config = parent::defaultConfiguration();
    $config['endpoint'] = 'https://apigee.googleapis.com/v1';
    return $config;
  }

}
